#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin >> n >> m;
    int br=0;
    for(int i=1; i<n-1; i+=2)
        for(int j=1; j<m-1; j+=2)
            br++;
    for(int i=2; i<n-1; i+=2)
        for(int j=2; j<m-1; j+=2)
            br++;
    cout << n*m-br << endl;
    return 0;
}